//
//  PDFiIewController.m
//  PDFReader
//
//  Created by KUDO IKUO on 12/06/23.
//  Copyright (c) 2012年 n/a. All rights reserved.
//
#import "PDFViewController.h"
#import "PDFDocument.h"
#import "PDFView.h"

@interface PDFViewController ()
- ( PDFView* ) getPDFViewWithPage: ( int ) pageNo;
@end

@implementation PDFViewController
@synthesize content;
@synthesize pdfdoc;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    //content = [ [ UIImageView alloc ] initWithFrame: self.view.frame ];
    //[ self.view addSubview: content ];
    //[ self.view setBackgroundColor: [ UIColor darkGrayColor ] ];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- ( void ) viewWillAppear:(BOOL)animated
{
    PDFView* view = [ self getPDFViewWithPage: 2 ];
    
    [ self.view addSubview: view ];
    
//    NSString* path = [ [ NSBundle mainBundle ] pathForResource: @"sample" ofType: @"pdf" ];
//    NSURL* url = [ NSURL fileURLWithPath: path ];
//    
//    PDFDocument* doc = [ [ PDFDocument alloc ] initWithURL: url ];
//    
//    UIImage* image = [ doc getPageImageWithPageNo: 1 ]; //[ doc drawPage:1 frame: self.view.frame ];
//    float scale;
//    if( image.size.width > 0 ) 
//        scale = self.view.frame.size.width /  image.size.width;
//    
//    content = [ [ UIImageView alloc ] initWithFrame: self.view.frame ];
//    content.image = image;
//    [ self.view addSubview: content ];
    
}

- ( PDFView* ) getPDFViewWithPage: ( int ) pageNo
{
    NSString* path = [ [ NSBundle mainBundle ] pathForResource: @"sample" ofType: @"pdf" ];
    NSURL* url = [ NSURL fileURLWithPath: path ];
        
    PDFDocument* doc = [ [ PDFDocument alloc ] initWithURL: url ];
    
    UIImage* image = [ doc getPageImageWithPageNo: pageNo ];
    float scale;
    if( image.size.width > 0 ) 
        scale = self.view.frame.size.width /  image.size.width;
    
//    content = [ [ UIImageView alloc ] initWithFrame: self.view.frame ];
//    content.image = image;
//    [ self.view addSubview: content ];
//
//    return nil;
    
    
    CGRect rect = CGRectMake( 0, 0, image.size.width * scale, image.size.height * scale );

    PDFView* view = [ [ PDFView alloc ] initWithFrame: rect ];
    view.image = image;
    view.scale = scale;

    return view;
}
@end
